#!/usr/bin/make -f

export PYBUILD_NAME=pyphen
build3vers := $(shell py3versions -sv)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	chmod -x $(CURDIR)/pyphen/__init__.py
	dh_auto_build
	rm -rf $(CURDIR)/.pybuild/cpython3_3.*_pyphen/build/pyphen/dictionaries

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/python3-pyphen/usr/lib/python3.*/dist-packages/pyphen/dictionaries/

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/.pytest
